> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Smart Link Pixel (/api-reference/smart-links/update-smart-link-pixel)

Update a connected Team pixel. Changes apply to every Smart Link using the pixel.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml patch /api/smart-links/{smart_link_id}/pixels/{pixel_id}
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Banned Words
    description: Reference list of OnlyFans banned words used by the
      `blockBannedWords` screening parameter
  - name: Blocked / Restricted Users
    description: APIs for listing the users an account has blocked or restricted
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links, tracking links, and Smart Links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/smart-links/{smart_link_id}/pixels/{pixel_id}:
    parameters:
      - in: path
        name: smart_link_id
        description: The Smart Link ULID
        example: 01JTESTLINK000000000000001
        required: true
        schema:
          type: string
      - in: path
        name: pixel_id
        description: The pixel ID
        example: 123
        required: true
        schema:
          type: integer
    patch:
      summary: Update Smart Link Pixel
      operationId: updateSmartLinkPixel
      description: Update a connected Team pixel. Changes apply to every Smart Link
        using the pixel.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 123
                    platform: meta
                    platform_label: Meta Ads
                    label: Updated Meta Pixel
                    pixel_id: "1234567890"
                    event_source_url: null
                    event_click: ViewContent
                    event_new_subscriber: Subscribe
                    event_first_transaction: Purchase
                    event_new_transaction: Purchase
                    event_message_received_from_fan: null
                    event_fan_sent_1_message: Contact
                    event_fan_sent_3_messages: Lead
                    status: healthy
                    created_at: 2026-07-24T08:00:00+00:00
                    updated_at: 2026-07-24T08:15:00+00:00
                  _meta:
                    _credits:
                      used: 0
                      balance: 999999
                      note: Free endpoint
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 123
                      platform:
                        type: string
                        example: meta
                      platform_label:
                        type: string
                        example: Meta Ads
                      label:
                        type: string
                        example: Updated Meta Pixel
                      pixel_id:
                        type: string
                        example: "1234567890"
                      event_source_url:
                        type: string
                        example: null
                        nullable: true
                      event_click:
                        type: string
                        example: ViewContent
                      event_new_subscriber:
                        type: string
                        example: Subscribe
                      event_first_transaction:
                        type: string
                        example: Purchase
                      event_new_transaction:
                        type: string
                        example: Purchase
                      event_message_received_from_fan:
                        type: string
                        example: null
                        nullable: true
                      event_fan_sent_1_message:
                        type: string
                        example: Contact
                      event_fan_sent_3_messages:
                        type: string
                        example: Lead
                      status:
                        type: string
                        example: healthy
                      created_at:
                        type: string
                        example: 2026-07-24T08:00:00+00:00
                      updated_at:
                        type: string
                        example: 2026-07-24T08:15:00+00:00
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 999999
                          note:
                            type: string
                            example: Free endpoint
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
      tags:
        - Smart Links
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  description: Display label. Omit or send an empty value to keep the current
                    label. Must not be greater than 100 characters.
                  example: Updated Meta Pixel
                  nullable: true
                pixel_id:
                  type: string
                  description: Replacement platform pixel ID. Omit or send an empty value to keep
                    the current ID.
                  example: "1234567890"
                  nullable: true
                pixel_access_token:
                  type: string
                  description: Replacement platform access token. Omit or send an empty value to
                    keep the current token.
                  example: replacement-access-token
                  nullable: true
                event_source_url:
                  type: string
                  description: Replacement event source URL. Send null to clear it. Must be a
                    valid URL. Must not be greater than 2048 characters.
                  example: https://example.com/prelander
                  nullable: true
                event_click:
                  type: string
                  description: Replacement platform event name. Send null to clear it. Must not be
                    greater than 100 characters.
                  example: null
                  nullable: true
                event_new_subscriber:
                  type: string
                  description: Replacement platform event name. Send null to clear it. Must not be
                    greater than 100 characters.
                  example: null
                  nullable: true
                event_first_transaction:
                  type: string
                  description: Replacement platform event name. Send null to clear it. Must not be
                    greater than 100 characters.
                  example: null
                  nullable: true
                event_new_transaction:
                  type: string
                  description: Replacement platform event name. Send null to clear it. Must not be
                    greater than 100 characters.
                  example: null
                  nullable: true
                event_message_received_from_fan:
                  type: string
                  description: Replacement platform event name. Send null to clear it. Must not be
                    greater than 100 characters.
                  example: null
                  nullable: true
                event_fan_sent_1_message:
                  type: string
                  description: Replacement platform event name. Send null to clear it. Must not be
                    greater than 100 characters.
                  example: null
                  nullable: true
                event_fan_sent_3_messages:
                  type: string
                  description: Replacement platform event name. Send null to clear it. Must not be
                    greater than 100 characters.
                  example: null
                  nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````